Page MenuHomePhabricator

Store wp10 predictions in the MediaWiki database.
Closed, ResolvedPublic

Description

So that they can be queried and displayed. Just the most recent prediction.

Details

Related Gerrit Patches:

Event Timeline

Halfak created this task.Sep 12 2017, 9:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2017, 9:22 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 12 2017, 9:25 PM

That's a fantastic idea. I'll get it done :)

Page props are generally things that are extracted out of wikitext/parsing process. I don't think things generated by ORES fit this pattern...

More specifically, page properties are set by calling ParserOutput::setProperty() during the parse process. I'm not sure how we can add ORES scores at that point.

Change 418877 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Build a system that allows deleting old scores when new ones have arrived

https://gerrit.wikimedia.org/r/418877

Just one note: This patch won't add anything to page_props table, it adds to ores_classification and deletes old ones.

awight renamed this task from Store wp10 predictions in page_props table. to Store wp10 predictions in the MediaWiki database..Mar 16 2018, 7:33 PM

Change 418877 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Build a system that allows deleting old scores when new ones have arrived

https://gerrit.wikimedia.org/r/418877

Change 420212 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Integrate all parts of support for wp10 model

https://gerrit.wikimedia.org/r/420212

awight added a subscriber: awight.Mar 19 2018, 2:58 PM

Change 420212 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Integrate all parts of support for wp10 model

https://gerrit.wikimedia.org/r/420212

Change 429554 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] labs: enable wp10 model for ores extension in enwiki

https://gerrit.wikimedia.org/r/429554

Change 429554 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: enable wp10 model for ores extension in enwiki

https://gerrit.wikimedia.org/r/429554

Change 429769 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Fix typo in database hook handler

https://gerrit.wikimedia.org/r/429769

Change 429769 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Fix copy paste error in database hook handler

https://gerrit.wikimedia.org/r/429769

Halfak added a comment.Oct 9 2018, 7:12 PM

Looks like this is done.